$ErrorActionPreference = 'Stop';

$packageName = 'PowerBI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'
$url64      = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'PowerBI*'

  checksum      = '496adadb38146ee227479e73b1dd309953aac1c97d0bbd0d9ff120a7cb778aca'
  checksumType  = 'sha256'
  checksum64    = '496adadb38146ee227479e73b1dd309953aac1c97d0bbd0d9ff120a7cb778aca'
  checksumType64= 'sha256'

  silentArgs    = "/qb ACCEPT_EULA=1 /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
